@charset "utf-8";
/* CSS Document */



/* --------- CHECKBOX --------- */

/* el contenedor siempre en relative */

input[type=checkbox]:not(old) {
    opacity: 0;
    position: absolute;
}

input[type=checkbox]:not(old) + label::-moz-selection,
input[type=checkbox]:not(old) + label::selection {
    color: inherit;
    background-color: transparent;
}

/* --------- Personalizado --------- */

input[type=checkbox]:not(old) + label {
    cursor: pointer;
}

input[type=checkbox]:not(old) + label:before {
    content: '';
    width: 20px;
    height: 20px;
    border: 1px solid #69a044;
    border-radius: 2px;
    cursor: pointer;
    vertical-align: top;
    display: inline-block;
    margin-right: 14px;
}

input[type=checkbox]:not(old):checked + label:before {
    background: url("../img/check_on.jpg") no-repeat 0 0;
    width: 20px;
    height: 20px;
    border: 1px solid #69a044;
    border-radius: 2px;
    margin-right: 14px;
}



/* --------- RADIO --------- */

/* el contenedor siempre en relative */

input[type=radio]:not(old) {
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
}

input[type=radio]:not(old) + label::-moz-selection,
input[type=radio]:not(old) + label::selection {
    color: inherit;
    background-color: transparent;
}

/* --------- Personalizado --------- */

input[type=radio]:not(old) + label {
    cursor: pointer;
}

input[type=radio]:not(old) + label:before {
    content: '';
    width: 20px;
    height: 20px;
    border: 1px solid #69a044;
    border-radius: 40px;
    cursor: pointer;
    vertical-align: top;
    display: inline-block;
    margin-right: 10px;
    margin-left: 10px;
}

input[type=radio]:not(old):checked + label:before {
    background: url("../img/radio_on.jpg") no-repeat 0 0;
    width: 20px;
    height: 20px;
    border: 1px solid #69a044;
    border-radius: 40px;
    margin-right: 10px;
    margin-left: 10px;
}

.ng-invalid input[type=submit]{
  color: rgb(180,180,180) !important;
  background-color: #f7f7f7 !important;
}

.form-error{
  font-size: 12px;
  color:#6d9e49;
  position: absolute;
  margin-top: -20px;
  margin-left: 16px;
}

.wait-div{
  text-align: center;
  padding: 50px 0px;
}

input[type=file]{
  display: none;
}

.label-file-name{
  color:#999696;
  padding: 15px;
  border: 1px solid#d8d8d8;
  border-radius: 3px;
  display: inline-block;
  min-width: 92%;
  background: url(../img/ico_upload.jpg) center right no-repeat;
}

.label-file-button{
  background-color:#6ca13c;
  color:white;
  font-weight: bold;
  padding: 15px;
  border-radius: 3px;
  border: 1px solid #6ca13c;
  display: inline-block;
  width: 30%;
  text-align: center;
}

.label-file{
  cursor: pointer;
}

.widget-image{
  height: 220px;
  background-repeat: no-repeat !important;
  background-size: cover !important;
}

.waiting-div{
  position:fixed;
  background-color:  rgba(255,255, 255, 0.8);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  background-repeat: no-repeat;
  background-position: center;
  display: none;
}

.waiting-div:first-of-type{
  display: unset;
  background-image: url('../img/wait.svg');
}